Too many packages to process

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

Too many packages to process

Vojtěch Zeisek-2
I'm not sure, if this is bug or feature... After few days, update applet (TW,
KDE) says there are 6843 new updates (TeX, R, ... ;-). When I click to
"Install updates" error "Too many packages to process (6843/5200)" appears.
Zypper handles it well. Is it worth of bug report? To b.o.o?
Yours,
V.

--
Vojtěch Zeisek

Komunita openSUSE GNU/Linuxu
Community of the openSUSE GNU/Linux

https://www.opensuse.org/
https://trapa.cz/

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Too many packages to process

Olaf Hering-2
Am Wed, 17 Jan 2018 10:40:34 +0100
schrieb Vojtěch Zeisek <[hidden email]>:

> I'm not sure, if this is bug or feature... After few days, update applet (TW,
> KDE) says there are 6843 new updates (TeX, R, ... ;-). When I click to
> "Install updates" error "Too many packages to process (6843/5200)" appears.
> Zypper handles it well. Is it worth of bug report? To b.o.o?

Since Tumbleweed must be updated with 'zypper dup', and these graphical frontends do not do the equivalent of a 'zypper dup', there is nothing to worry about.

Olaf

attachment0 (201 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Too many packages to process

Vojtěch Zeisek-2
Dne středa 17. ledna 2018 10:44:32 CET, Olaf Hering napsal(a):

> Am Wed, 17 Jan 2018 10:40:34 +0100
> schrieb Vojtěch Zeisek <[hidden email]>:
> > I'm not sure, if this is bug or feature... After few days, update applet
> > (TW, KDE) says there are 6843 new updates (TeX, R, ... ;-). When I click
> > to "Install updates" error "Too many packages to process (6843/5200)"
> > appears. Zypper handles it well. Is it worth of bug report? To b.o.o?
>
> Since Tumbleweed must be updated with 'zypper dup', and these graphical
> frontends do not do the equivalent of a 'zypper dup', there is nothing to
> worry about.
Yes and no. :-) Of course, I do update my TW with 'zypper dup', but this
situation can easily happen on Leap also (well, as soon as You have TeX...:-).
In such case, for some people it can be an issue...

--
Vojtěch Zeisek

Komunita openSUSE GNU/Linuxu
Community of the openSUSE GNU/Linux

https://www.opensuse.org/
https://trapa.cz/

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Too many packages to process

Wolfgang Bauer
See https://bugzilla.opensuse.org/show_bug.cgi?id=997458

Am Mittwoch, 17. Januar 2018, 10:51:30 schrieb Vojtěch Zeisek:
> but this
> situation can easily happen on Leap also (well, as soon as You have
> TeX...:-). In such case, for some people it can be an issue...

FWIW, I do have texlive installed since well over a decade, and never had such
an error on the regular openSUSE (now Leap) releases. TBH, I don't even
remember the last time there was a full texlive update, if there ever was
one... ;-)

I suppose it can happen if you install really lots of things (including
texlive) from additional repos, but that should rather be the (rare) exception
than the norm.

Kind Regards,
Wolfgang

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Too many packages to process

Vojtěch Zeisek-2
Dne středa 17. ledna 2018 11:29:29 CET, Wolfgang Bauer napsal(a):
> See https://bugzilla.opensuse.org/show_bug.cgi?id=997458

This is different case, IMHO.

> Am Mittwoch, 17. Januar 2018, 10:51:30 schrieb Vojtěch Zeisek:
> > but this
> > situation can easily happen on Leap also (well, as soon as You have
> > TeX...:-). In such case, for some people it can be an issue...
>
> FWIW, I do have texlive installed since well over a decade, and never had
> such an error on the regular openSUSE (now Leap) releases. TBH, I don't
> even remember the last time there was a full texlive update, if there ever
> was one... ;-)

On TW I see texlive updates too often, IMHO. ;-)

> I suppose it can happen if you install really lots of things (including
> texlive) from additional repos, but that should rather be the (rare)
> exception than the norm.

Might be. But anyway, why is there such a limit?

--
Vojtěch Zeisek
https://trapa.cz/

signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Too many packages to process

Wolfgang Bauer
Am Mittwoch, 17. Januar 2018, 12:09:30 schrieb Vojtěch Zeisek:
> Dne středa 17. ledna 2018 11:29:29 CET, Wolfgang Bauer napsal(a):
> > See https://bugzilla.opensuse.org/show_bug.cgi?id=997458
>
> This is different case, IMHO.

Why?
It's exactly the same problem that you described.

FYI, KDE/Plasma5's updater (plasma5-pk-updates) is just a frontend to
PackageKit, exactly like gpk-update-viewer.
The error message comes from PackageKit (or its zypp backend).

> On TW I see texlive updates too often, IMHO. ;-)

Sure, but I was addressing your concerns about Leap... ;-)

> But anyway, why is there such a limit?

No idea. Maybe to prevent accidental distribution upgrades (if somebody added
a wrong repo by mistake), or maybe it's a limitation of the implementation.

Kind Regards,
Wolfgang

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Too many packages to process

Jan Engelhardt-4
In reply to this post by Vojtěch Zeisek-2

On Wednesday 2018-01-17 12:09, Vojtěch Zeisek wrote:
>
>> I suppose it can happen if you install really lots of things (including
>> texlive) from additional repos, but that should rather be the (rare)
>> exception than the norm.
>
>Might be. But anyway, why is there such a limit?

Maybe libsolv used all its 32 bit integers up already?
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Too many packages to process

Martin Wilck-2
In reply to this post by Olaf Hering-2
On Wed, 2018-01-17 at 10:44 +0100, Olaf Hering wrote:

> Am Wed, 17 Jan 2018 10:40:34 +0100
> schrieb Vojtěch Zeisek <[hidden email]>:
>
> > I'm not sure, if this is bug or feature... After few days, update
> > applet (TW,
> > KDE) says there are 6843 new updates (TeX, R, ... ;-). When I click
> > to
> > "Install updates" error "Too many packages to process (6843/5200)"
> > appears.
> > Zypper handles it well. Is it worth of bug report? To b.o.o?
>
> Since Tumbleweed must be updated with 'zypper dup', and these
> graphical frontends do not do the equivalent of a 'zypper dup', there
> is nothing to worry about.

Consequently, PackageKit and it's clients should be banned from TW
repositories.

Martin

--
Dr. Martin Wilck <[hidden email]>, Tel. +49 (0)911 74053 2107
SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard, Graham Norton
HRB 21284 (AG Nürnberg)

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Too many packages to process

Andrei Borzenkov
On Wed, Jan 17, 2018 at 3:24 PM, Martin Wilck <[hidden email]> wrote:

> On Wed, 2018-01-17 at 10:44 +0100, Olaf Hering wrote:
>> Am Wed, 17 Jan 2018 10:40:34 +0100
>> schrieb Vojtěch Zeisek <[hidden email]>:
>>
>> > I'm not sure, if this is bug or feature... After few days, update
>> > applet (TW,
>> > KDE) says there are 6843 new updates (TeX, R, ... ;-). When I click
>> > to
>> > "Install updates" error "Too many packages to process (6843/5200)"
>> > appears.
>> > Zypper handles it well. Is it worth of bug report? To b.o.o?
>>
>> Since Tumbleweed must be updated with 'zypper dup', and these
>> graphical frontends do not do the equivalent of a 'zypper dup', there
>> is nothing to worry about.
>
> Consequently, PackageKit and it's clients should be banned from TW
> repositories.
>

Rather these clients should utilize available information which
command to use during update. zypper knows that "dup" is preferred
over "up" and displays warning; so these clients could use the same
information and chose "dup" automatically.
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Too many packages to process

Dominique Leuenberger / DimStar
On Wed, 2018-01-17 at 15:27 +0300, Andrei Borzenkov wrote:

> On Wed, Jan 17, 2018 at 3:24 PM, Martin Wilck <[hidden email]> wrote:
> > On Wed, 2018-01-17 at 10:44 +0100, Olaf Hering wrote:
> > > Am Wed, 17 Jan 2018 10:40:34 +0100
> > > schrieb Vojtěch Zeisek <[hidden email]>:
> > >
> > > > I'm not sure, if this is bug or feature... After few days, update
> > > > applet (TW,
> > > > KDE) says there are 6843 new updates (TeX, R, ... ;-). When I click
> > > > to
> > > > "Install updates" error "Too many packages to process (6843/5200)"
> > > > appears.
> > > > Zypper handles it well. Is it worth of bug report? To b.o.o?
> > >
> > > Since Tumbleweed must be updated with 'zypper dup', and these
> > > graphical frontends do not do the equivalent of a 'zypper dup', there
> > > is nothing to worry about.
> >
> > Consequently, PackageKit and it's clients should be banned from TW
> > repositories.
> >
>
> Rather these clients should utilize available information which
> command to use during update. zypper knows that "dup" is preferred
> over "up" and displays warning; so these clients could use the same
> information and chose "dup" automatically.
https://bugzilla.opensuse.org/show_bug.cgi?id=1030829

Looking for people to contirbute code - it's not that the idea has not
been thought of yet

Cheers
Dominique

signature.asc (201 bytes) Download Attachment